searchNodes=[{"doc":"Invokes the following functions with a GenServer registered via a server ID: GenServer.call/3 GenServer.cast/2 GenServer.stop/3 Will wait a bit if the GenServer is not yet registered on restarts. Note this is an assumption as the GenServer may have never started.","ref":"GenServer.Proxy.html","title":"GenServer.Proxy","type":"behaviour"},{"doc":"Either aliases GenServer.Proxy (this module) and requires the alias or imports GenServer.Proxy . In the latter case, you could instead simply import GenServer.Proxy . Examples use GenServer.Proxy , alias : Proxy use GenServer.Proxy import GenServer.Proxy","ref":"GenServer.Proxy.html#__using__/1","title":"GenServer.Proxy.__using__/1","type":"macro"},{"doc":"Makes a synchronous call to the GenServer registered via server_id . Will wait a bit if the GenServer is not yet registered on restarts. The given module (or by default &lt;caller's_module&gt;.GenServerProxy ) must implement the 2 callbacks of GenServer.Proxy (this module). Examples # Assuming the following callback module: defmodule Game.Engine.GenServerProxy do @behaviour GenServer.Proxy @impl GenServer.Proxy def server_name ( game_name ) , do : { :via , Registry , { :registry , game_name } } @impl GenServer.Proxy def server_unregistered ( game_name ) , do : :ok = IO . puts ( &quot;Game \#{ game_name } not started.&quot; ) end # We could use the call macro like so: defmodule Game.Engine do use GenServer.Proxy def summary ( game_name ) , do : call ( game_name , :summary ) ... end","ref":"GenServer.Proxy.html#call/4","title":"GenServer.Proxy.call/4","type":"macro"},{"doc":"Sends an async request to the GenServer registered via server_id . Will wait a bit if the GenServer is not yet registered on restarts. The given module (or by default &lt;caller's_module&gt;.GenServerProxy ) must implement the 2 callbacks of GenServer.Proxy (this module).","ref":"GenServer.Proxy.html#cast/3","title":"GenServer.Proxy.cast/3","type":"macro"},{"doc":"Called to convert the server_id into a server name. Examples @impl GenServer.Proxy def server_name ( game_name ) , do : { :via , Registry , { :registry , game_name } } @impl GenServer.Proxy def server_name ( game_name ) , do : { :global , { GameServer , game_name } }","ref":"GenServer.Proxy.html#c:server_name/1","title":"GenServer.Proxy.server_name/1","type":"callback"},{"doc":"Called when the server remains unregistered despite waiting a bit. Should serve to print a relevant message about the failed request. Examples @impl GenServer.Proxy def server_unregistered ( game_name ) , do : :ok = IO . puts ( &quot;Game \#{ game_name } not started.&quot; )","ref":"GenServer.Proxy.html#c:server_unregistered/1","title":"GenServer.Proxy.server_unregistered/1","type":"callback"},{"doc":"Synchronously stops the GenServer registered via server_id . Will wait a bit if the GenServer is not yet registered on restarts. The given module (or by default &lt;caller's_module&gt;.GenServerProxy ) must implement the 2 callbacks of GenServer.Proxy (this module).","ref":"GenServer.Proxy.html#stop/4","title":"GenServer.Proxy.stop/4","type":"macro"},{"doc":"Server ID","ref":"GenServer.Proxy.html#t:server_id/0","title":"GenServer.Proxy.server_id/0","type":"type"},{"doc":"","ref":"GenServer.Proxy.Caller.html","title":"GenServer.Proxy.Caller","type":"module"},{"doc":"","ref":"GenServer.Proxy.Caller.html#call/4","title":"GenServer.Proxy.Caller.call/4","type":"function"},{"doc":"","ref":"GenServer.Proxy.Caster.html","title":"GenServer.Proxy.Caster","type":"module"},{"doc":"","ref":"GenServer.Proxy.Caster.html#cast/3","title":"GenServer.Proxy.Caster.cast/3","type":"function"},{"doc":"","ref":"GenServer.Proxy.Log.html","title":"GenServer.Proxy.Log","type":"module"},{"doc":"","ref":"GenServer.Proxy.Log.html#warn/2","title":"GenServer.Proxy.Log.warn/2","type":"function"},{"doc":"","ref":"GenServer.Proxy.Stopper.html","title":"GenServer.Proxy.Stopper","type":"module"},{"doc":"","ref":"GenServer.Proxy.Stopper.html#stop/4","title":"GenServer.Proxy.Stopper.stop/4","type":"function"},{"doc":"","ref":"GenServer.Proxy.Timer.html","title":"GenServer.Proxy.Timer","type":"module"},{"doc":"","ref":"GenServer.Proxy.Timer.html#wait/1","title":"GenServer.Proxy.Timer.wait/1","type":"function"}]